Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024237
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2013-07-01 16:592013-07-24 17:09
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revisionc1eb6fef503f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP23.1SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024237: Wrong taxable amount in Web POS

DescriptionWrong taxable amount in Web POS

Steps To Reproduce-Configure currency with price precision 2 and standard precision 2
-Change the price of adhesive body warmers to 0.75 and work with price including taxes
-change the product tax rate to 10%
-Go to web POS and add in the ticket.
-Add 10% of discount manually with the keyboard or change the price to 0.68

You will see that taxable amount is 0.61 instead of 0.62
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059814)
hgbot (developer)
2013-07-02 17:34

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 51f69a104ec30d0ee24b5bfe0e052e217161dc57
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 02 17:34:14 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^]

Fixed issue 24237. Fixed issue 24220. The way net and amount values in pricelists which include taxes has been reworked.
- OrderTax calculation has been moved to the end of the function. This computation will now be computed by adding up all non-rounded nets and amounts of the OrderTaxLines, and then rounding at the end.
- Multiple calls to OB.DEC have been replaced by direct calls to the BigDecimal library. This has been done to avoid losing precision on intermediate steps of the tax calculation.
- For OrderTaxLines, two new properties (netfull and amountfull) have been added. These properties are not rounded, so they can be used on calculations of the OrderTax.
- The discountedNet now not rounded, only rounded at the call to adjustPrices. This is done again not to lose precision on intermediate computations.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0059827)
marvintm (developer)
2013-07-03 09:48

The previous fix is not for this issue, a fix for this issue will be committed soon.
(0059842)
hgbot (developer)
2013-07-03 12:04

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c1eb6fef503f0dcdd59ea5764dc7d25a717b54a0
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 12:04:23 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c1eb6fef503f0dcdd59ea5764dc7d25a717b54a0 [^]

Fixed issue 24237. The precision of the computation of discounts using the keyboard has been improved

---
M web/org.openbravo.retail.posterminal/js/data/dataorderdiscount.js
---
(0059860)
hgbot (developer)
2013-07-04 16:40

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 51f69a104ec30d0ee24b5bfe0e052e217161dc57
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 02 17:34:14 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^]

Fixed issue 24237. Fixed issue 24220. The way net and amount values in pricelists which include taxes has been reworked.
- OrderTax calculation has been moved to the end of the function. This computation will now be computed by adding up all non-rounded nets and amounts of the OrderTaxLines, and then rounding at the end.
- Multiple calls to OB.DEC have been replaced by direct calls to the BigDecimal library. This has been done to avoid losing precision on intermediate steps of the tax calculation.
- For OrderTaxLines, two new properties (netfull and amountfull) have been added. These properties are not rounded, so they can be used on calculations of the OrderTax.
- The discountedNet now not rounded, only rounded at the call to adjustPrices. This is done again not to lose precision on intermediate computations.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0059865)
hgbot (developer)
2013-07-04 16:41

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: c1eb6fef503f0dcdd59ea5764dc7d25a717b54a0
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 12:04:23 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/c1eb6fef503f0dcdd59ea5764dc7d25a717b54a0 [^]

Fixed issue 24237. The precision of the computation of discounts using the keyboard has been improved

---
M web/org.openbravo.retail.posterminal/js/data/dataorderdiscount.js
---
(0059903)
hgbot (developer)
2013-07-05 16:10

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 456c81d1c421377f8c4872bc6cac3458ef19e5b6
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jul 05 16:10:30 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/456c81d1c421377f8c4872bc6cac3458ef19e5b6 [^]

Related to issue 24237. Related to issue 24220: Summary taxes shouldn't be included in taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0059923)
hgbot (developer)
2013-07-08 15:26

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 456c81d1c421377f8c4872bc6cac3458ef19e5b6
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jul 05 16:10:30 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/456c81d1c421377f8c4872bc6cac3458ef19e5b6 [^]

Related to issue 24237. Related to issue 24220: Summary taxes shouldn't be included in taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0060267)
guilleaer (developer)
2013-07-24 17:09

verified

- Issue History
Date Modified Username Field Change
2013-07-01 16:59 jecharri New Issue
2013-07-01 16:59 jecharri Assigned To => marvintm
2013-07-01 16:59 jecharri Issue generated from 0024195
2013-07-01 17:04 jecharri Steps to Reproduce Updated View Revisions
2013-07-02 17:34 hgbot Checkin
2013-07-02 17:34 hgbot Note Added: 0059814
2013-07-02 17:34 hgbot Status new => resolved
2013-07-02 17:34 hgbot Resolution open => fixed
2013-07-02 17:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^]
2013-07-03 09:48 marvintm Note Added: 0059827
2013-07-03 12:04 hgbot Checkin
2013-07-03 12:04 hgbot Note Added: 0059842
2013-07-03 12:04 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c1eb6fef503f0dcdd59ea5764dc7d25a717b54a0 [^]
2013-07-04 16:40 hgbot Checkin
2013-07-04 16:40 hgbot Note Added: 0059860
2013-07-04 16:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c1eb6fef503f0dcdd59ea5764dc7d25a717b54a0 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^]
2013-07-04 16:41 hgbot Checkin
2013-07-04 16:41 hgbot Note Added: 0059865
2013-07-04 16:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/c1eb6fef503f0dcdd59ea5764dc7d25a717b54a0 [^]
2013-07-05 16:10 hgbot Checkin
2013-07-05 16:10 hgbot Note Added: 0059903
2013-07-08 15:26 hgbot Checkin
2013-07-08 15:26 hgbot Note Added: 0059923
2013-07-24 17:09 guilleaer Review Assigned To => guilleaer
2013-07-24 17:09 guilleaer Note Added: 0060267
2013-07-24 17:09 guilleaer Status resolved => closed
2013-07-24 17:09 guilleaer Fixed in Version => RMP25


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker